Bug 1029341 - Initscript of postfix does not quote NETWORKING
Summary: Initscript of postfix does not quote NETWORKING
Keywords:
Status: CLOSED DUPLICATE of bug 655455
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: postfix
Version: 6.4
Hardware: All
OS: Linux
unspecified
low
Target Milestone: rc
: ---
Assignee: Jaroslav Škarvada
QA Contact: qe-baseos-daemons
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-11-12 08:29 UTC by Peter Bieringer
Modified: 2014-12-01 17:02 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-12-01 17:02:09 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Peter Bieringer 2013-11-12 08:29:16 UTC
Description of problem:

(re)start of postfix results in:

# service postfix restart
Shutting down postfix:                                     [  OK  ]
/etc/init.d/postfix: line 73: [: =: unary operator expected
Starting postfix:                                          [  OK  ]



Version-Release number of selected component (if applicable):

postfix-2.6.6-2.2.el6_1.x86_64


How reproducible:

always


Steps to Reproduce:
1. remove NETWORKING=yes line from /etc/sysconfig/network - don't ask me why this entry is missing in this system here
2. (re) start postfix

Expected results:

No such message


Additional info:

Patch by quoting NETWORKING:


--- /tmp/postfix.orig   2013-11-12 08:25:02.099905369 +0000
+++ /etc/init.d/postfix 2013-11-12 08:25:13.091364807 +0000
@@ -70,7 +70,7 @@
 start() {
        [ "$EUID" != "0" ] && exit 4
        # Check that networking is up.
-       [ ${NETWORKING} = "no" ] && exit 1
+       [ "${NETWORKING}" = "no" ] && exit 1
        conf_check
        # Start daemons.
        echo -n $"Starting postfix: "

Comment 1 Jaroslav Škarvada 2013-11-12 08:37:55 UTC
Thanks for the patch.

Comment 4 Jaroslav Škarvada 2014-12-01 17:02:09 UTC

*** This bug has been marked as a duplicate of bug 655455 ***


Note You need to log in before you can comment on or make changes to this bug.